Module java.desktop
Package javax.swing.event

## Interface TableModelListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `JTable`, `JTable.AccessibleJTable`

    public interface TableModelListener
    extends EventListener

TableModelListener defines the interface for an object that listens to changes in a TableModel.

See Also:
  `TableModel`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `tableChanged​(TableModelEvent e)` This fine grain notification tells listeners the exact range of cells, rows, or columns that changed.

### Method Detail

#### tableChanged

    void tableChanged​(TableModelEvent e)

This fine grain notification tells listeners the exact range of cells, rows, or columns that changed.

Parameters:
  `e` - a `TableModelEvent` to notify listener that a table model has changed